# $OpenBSD: Makefile.examples,v 1.2 2010/11/07 00:26:13 merdely Exp $

EX_LIST=	bode realtime_plot cpuplot dials radio event_filter  data_plot sliders histogram spectrogram sysinfo  curvdemo1 curvdemo2 simple_plot

all:
	@for I in ${EX_LIST}; \
	  do (cd $$I; echo "==> Building for $$I"; \
	    qmake4 $$I.pro && env LOCALBASE=/usr/local gmake; \
            echo "";); \
	done

clean:
	@for I in ${EX_LIST}; \
	  do (cd $$I; echo "==> Cleaning for $$I"; \
	    gmake distclean; \
	    rm -Rf obj; \
	    rm -Rf moc; \
	    echo "";); \
	done

